import GIS from './gis.js';
import UI from './ui.js';

document.addEventListener('DOMContentLoaded', async () => {
    let progress = document.querySelector('progress');
    const init = await GIS.initMap('map');
    progress.classList.add('is-hidden');
    let {map, sites} = init;

    map._container.setAttribute('aria-busy', false);

    GIS.toggleSpherical(map);

    UI.addCenterMapControl(map, GIS.CENTER_COORDS, GIS.INIT_ZOOM);
    UI.toggleMenu('siti', 'siti-list');
    UI.toggleMenu('rinvenimenti', 'rinvenimenti-list');
    UI.toggleBurger('navbar-burger');
    UI.sitesMenu('.menu-list', map, sites);

    document.querySelector('#close-menu').addEventListener('click', () => {
        document.querySelector('#menu').classList.add('is-hidden');
    })
});
